GET sends/data_series
Operation ID: sendAnalytics
Auth: unknown
Description
This endpoint allows you to retrieve a daily series of various stats for a tracked `send_id`. Braze stores send analytics for 14 days after the send. Campaign conversions will be attributed towards the most recent send id that a given user has received from the campaign. > The `send_id` is only generated for API campaign sends targeting segments, connected audiences or broadcasts. When relevant, the `send_id` is included in response for the `messages/send`, `messages/schedule`, `campaign/trigger/send` and `campaign/trigger/schedule` endpoints. ### Components Used - [Campaign Identifier](https://www.braze.com/docs/api/identifier_types/) ### Send Analytics Endpoint API Response ```json Content-Type: application/json Authorization: Bearer YOUR-REST-API-KEY { "variation_name": (string) variation name, "sent": (int) the number of sends, "delivered": (int) the number of messages successfully delivered, "undelivered": (int) the number of undelivered, "delivery_failed": (int) the number of rejected, "direct_opens": (int) the number of direct opens, "total_opens": (int) the number of total opens, "bounces": (int) the number of bounces, "body_clicks": (int) the number of body clicks, "revenue": (float) the number of dollars of revenue (USD), "unique_recipients": (int) the number of unique recipients, "conversions": (int) the number of conversions, "conversions_by_send_time": (int) the number of conversions, "conversions1": (int, optional) the number of conversions for the second conversion event, "conversions1_by_send_time": (int, optional) the number of conversions for the second conversion event by send time, "conversions2": (int, optional) the number of conversions for the third conversion event, "conversions2_by_send_time": (int, optional) the number of conversions for the third conversion event by send time, "conversions3": (int, optional) the number of conversions for the fourth conversion event, "conversions3_by_send_time": (int, optional) the number of conversions for the fourth conversion event by send time } ] }, "conversions_by_send_time": 0, "conversions1_by_send_time": 0, "conversions2_by_send_time": 0, "conversions3_by_send_time": 0, "conversions": 0, "conversions1": 0, "conversions2": 0, "conversions3": 0, "unique_recipients": 1, "revenue": 0 } ], "message": "success" } ```
Parameters (4)
(string, query, optional)
(Required) String Campaign API identifier.
(string, query, optional)
(Optional) Datetime ISO 8601 string Date on which the data series should end. Defaults to time of the request.
(string, query, optional)
(Required) Integer Maximum number of days before `ending_at` to include in the returned series. Must be between 1 and 100 inclusive.
(string, query, optional)
(Required) String Send API identifier.
No probe data for this endpoint yet.